
@mixin delete-referral-app-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  app-delete-referral{
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

   .delete-referral  {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .deleterf-main-card  {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);
      
      .second-header-filter {
        display: flex;
        background-color: white;
        border: 2px solid mat-color($primary, 100);
        border-radius: 5px;
        padding: 10px 10px;
        margin-bottom: 10px;
        font-size: 0.9em;

        span {
          display: flex;
          flex: auto;
          margin-right: 5px;
        }
      }


      .mat-card-header {
        width: 100%;
      }

      .mat-card-content {

        .example-small-box {
          display: flex;
          background: white;

          .col1header  {    
            border: 1px solid lightgrey;
            height:35px;   
            padding: 10px; 
            text-align: left; 
            align-items:center;
            color: white;
            background: #5c6bc0; 
            width: 98%;
            margin-left :10px;
            margin-right :10px;
          margin-top: 10px;
          }

          .table-filters-header {
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }

              mat-icon:hover {
                cursor: pointer;
                // color: #FF5722;
                color: mat-color($warn);
              }
            }
          }
          .example-container {
            width: 98%;
            margin-left :10px;
            margin-right :10px;
            padding-bottom: 10px;

            
           
           
            .ag-header-cell-text {
              overflow: visible;
              text-overflow: unset;
              white-space: normal;
            }

            .mat-form-field-flex>.mat-form-field-infix {
              padding: 0.8em 0px !important;
              height: 20px;
            }
            
            .mat-form-field-infix {
              border-top: 0.14375em solid transparent;
            }
  
         
              button {
                margin: 10px;
                margin-top: 5px;
              }
  
              .save-btn {
                flex: auto;
              }
  
              .transmit-btn {
                flex: auto;
              }
              .col {
                display: flex;
                overflow-wrap: auto;
                flex-grow: auto;
                margin: 0 !important;
                align-items: center;
              }
              .col2 {
                display: flex;
                flex-flow: row wrap;
                flex-grow: auto;
                margin: 0 !important;
                padding: 5px;
             
              }
              .col2-explain2 {
                display: flex;
                flex-flow: row wrap;
                flex-grow: auto;
                margin: 0 !important;
                padding: 5px;
                padding-bottom: 2px;
             
              }
        
              .lblstyle {
                padding: 5px;
                margin-bottom: 5px;
              }
        
              .coldrpdwn {
                display: flex;
                flex-grow: auto;
                overflow: hidden;
                white-space: nowrap;
                text-overflow: ellipsis;
                padding-top: 7px;
                padding-left: 20px;
                border: 1px solid lightgrey;
              }
           
            
          }
        }        
      }
    }
  }
}

